Blog

How-To-Check-Plesk-mta-qmail-posftfix

How To Check Plesk MTA And How To Switch From QMail To Postfix And Back?

There are two MTA that are supported by Plesk since version 9: – Qmail – Postfix Each time, only one of them is used by Parallels Plesk Panel.The MTA that is currently used by Parallels Plesk Panel is shown on the Services management page at Home -> Services Management: SMTP Server (Postfix) or SMTP Server (QMail) And you can also check the through command line: /usr/local/psa/admin/sbin/mailmng --features | grep SMTP_Server $features[‘SMTP_Server’] = “QMail“; $features[‘SMTP_Server_package’] = “psa-qmail“; OR /usr/local/psa/admin/sbin/mailmng --features | grep SMTP_Server $features[‘SMTP_Server’] = “Postfix“; $features[‘SMTP_Server_package’] = “Postfix“; You can switch the MTA from Qmail [...]

Read more...
How-To-Manage-QMail-Queue-In-Linux-Plesk

How To Manage QMail Queue In Linux Plesk?

Plesk server uses qmail as a mail server. Following are some of the qmail commands for Plesk server. 1) To check the mail queue in plesk from command line, you can use the command : # /var/qmail/bin/qmail-qstat messages in queue: 10 messages in queue but not yet preprocessed: 0 2) You can examine the queue with qmail-qread. # /var/qmail/bin/qmail-qread 3) From the qread command you get the message’s id . In the above example , one of the id is 524514 . Now you can [...]

Read more...
cPanel-To-DirectAdmin-Migration-Conversion-Tool

cPanel To DirectAdmin Migration Conversion Tool

Its now quite easy to migrate accounts from cPanel to DirectAdmin using conversion tool Before proceed,  First we will need to download conversion tool  and you can download it from here :: DOWNLOAD HERE STEPS TO FOLLOW :: 1) Download and extract the version URL (from above) that you wish to use. (wget and tar xzf) 2) Create import and export directories for the tool to use. (mkdir import export) 3) Copy your cPanel user backups into the import directory. [...]

Read more...
FTP-Error-Valid-Hostname-Is-Expected

FTP Error “530 Valid Hostname Is Expected”

When connecting to IIS7 ( Internet Information Server – the default web server for windows servers ) using FTP you get the following error. Response: 530 Valid hostname is expected. Error: Could not connect to server Reason When you set up name-based FTP services IIS7 wants the site name defined with the username so that IIS7 can associate the username with the site they wish to log in to. If you are having more than one FTP site on your VPS you will need [...]

Read more...
Register-32-Bit-Dynamic-Link-Library-(DLL)-On-64-Bit-Windows-2008-Server

Register 32-Bit Dynamic-Link Library (DLL) On 64-Bit Windows 2008 Server

Here is the method on how to register a 32-bit DLL file on a 64-BIT  Windows 2008 server. When you attempt to run Regsvr32.exe to register a 32-bit dynamic-link library (DLL) on a 64-bit version of Windows via command prompt, you may receive certain error messages, This behavior occurs because the Regsvr32.exe file in the System32 folder is a 64-bit version. When you run Regsvr32 to register a DLL, you are using the 64-bit version by default. So what you need [...]

Read more...
Adding-.svc-Extension-With-IIS-–-Windows-2008

Adding .svc Extension With IIS – Windows 2008

To verify that the svc file type is mapped correctly in IIS 7.0 1.         Open a command prompt window and type start inetmgr to open the Internet Information Services (IIS) MMC snap-in. 2.         In the left pane, expand the node with the computer’s name, then expand the Web Sites node, and then select the Default Web Site. 3.         Double-click Handler mappings in the Features View. 4.         In the list of application mappings, verify that the .svc file is mapped to the aspnet_isapi.dll. If the [...]

Read more...
Upgrade-MySQL-On-Plesk-CentOS-Linux

Upgrade MySQL On Plesk CentOS Linux

We had successfully upgraded from MySQL 5.0 to MySQL 5.1.47 along with PHP on one of our Plesk server. Please use this solution if you notice any package conflicts, or other concerns with using 5.1 in your environment. Like PHP, this will be a full change to the newer packages and the 5.0 series will be retired. The procedure is quite simple 1.) wget -q -O – http://www.atomicorp.com/installers/atomic.sh | sh 2.)  To upgrade: yum –enablerepo=atomic-testing upgrade MySQL That’s it,  And if you simply [...]

Read more...
Manual-Installation-Of-Nginx-In-cPanel-Apache-In-Proxy-Mode

Manual Installation Of Nginx In cPanel Apache In Proxy Mode

1. In order to get the cPanel server ready for nginx – you must first install an Apache module called mod_rpaf Login as root: # cd /usr/local/src # wget http://stderr.net/apache/rpaf/download/mod_rpaf-0.6.tar.gz # tar xvzf mod_rpaf-0.6.tar.gz # cd mod_rpaf-0.6 # /usr/local/apache/bin/apxs -i -c -n mod_rpaf-2.0.so mod_rpaf-2.0.c 2. Doing so will install the module into the Apache module directory. Then Go to your  Web Host Manager (WHM) follow the tree here: Main >> Service Configuration >> Apache Configuration > Include Editor > Pre Main Include and Select the Apache version that [...]

Read more...
Simple-Steps-To-Install-mod_flvx-With-Apache

Simple Steps To Install mod_flvx With Apache

Today we had to install mod_flvx on CentOs server and here are the steps you need to do. I guess you have already installed Apache web server being cpanel server.  Just be sure that you have Apache 2.2 version on the server or else you might have errors during compiling mod_flv. Download mod_flvx.c cd /usr/src wget http://github.com/osantana/mod_flvx/blob/master/mod_flvx.c Compile And Install Module: /usr/local/apache/bin/apxs -i -a -c mod_flvx.c Add the following handler in /usr/local/apache/conf/httpd.conf AddHandler flv-stream .flv Reload Configuration: service httpd restart

Read more...
ffmpeg-php-Compile-Error

ffmpeg-php Compile Error – Make: *** [ffmpeg_frame.lo] Error 1

If you are getting the following error while compiling the latest release of ffmpeg-php-0.6.0 , This will article will let you know how to get this fix. Error: /usr/src/ffmpeg-php-0.6.0/ffmpeg_frame.c: In function âzim_ffmpeg_frame_toGDImageâ: /usr/src/ffmpeg-php-0.6.0/ffmpeg_frame.c:336: error: âPIX_FMT_RGBA32â undeclared (first use in this function) /usr/src/ffmpeg-php-0.6.0/ffmpeg_frame.c:336: error: (Each undeclared identifier is reported only once /usr/src/ffmpeg-php-0.6.0/ffmpeg_frame.c:336: error: for each function it appears in.) /usr/src/ffmpeg-php-0.6.0/ffmpeg_frame.c: In function âzim_ffmpeg_frame_ffmpeg_frameâ: /usr/src/ffmpeg-php-0.6.0/ffmpeg_frame.c:421: error: âPIX_FMT_RGBA32â undeclared (first use in this function) make: *** [ffmpeg_frame.lo] Error 1 Solution:- Under the ffmpeg-php-0.6.0 directory modify the file: ffmpeg_frame.c with nano or vi [...]

Read more...